LibreOffice: XEncryptionProtectedSource2 Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XEncryptionProtectedSource2 Interface Reference

This interface allows to set a password for an object. More...

`import "XEncryptionProtectedSource2.idl";`

Inheritance diagram for XEncryptionProtectedSource2:

## Public Member Functions
void | setEncryptionData ([in] sequence< ::com::sun::star::beans::NamedValue > aEncryptionData) raises ( ::com::sun::star::io::IOException )
| sets an encryption data for the object.
boolean | hasEncryptionData ()
| determine if an encryption data is set for this object.
Public Member Functions inherited from XEncryptionProtectedSource
void | setEncryptionPassword ([in] string sPassword) raises ( ::com::sun::star::io::IOException )
| sets a password for the object.
void | removeEncryption () raises ( ::com::sun::star::io::IOException )
| removes encryption from the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface allows to set a password for an object.

Since
  OOo 3.4

## Member Function Documentation

## ◆ hasEncryptionData()

boolean hasEncryptionData | ( |  | ) |

determine if an encryption data is set for this object.

Returns
  true if some encryption data was set, false otherwise

## ◆ setEncryptionData()

void setEncryptionData | ( | [in] sequence< ::com::sun::star::beans::NamedValue > | aEncryptionData | ) |
raises | ( | ::com::sun::star::io::IOException ) |  |  |

sets an encryption data for the object.

Parameters

  aEncryptionData | the new encryption data

Exceptions

  com::sun::star::io::IOException | in case the data could not be set

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEncryptionProtectedSource2.idl